SRPRegistry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.srp.SRPRegistry,SRPRegistry interface

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl.srp
Interface SRPRegistry

public interface SRPRegistry

A list of key names designating the values exchanged between the server and client in an SRP communication authentication phase.

Field Summary
`static java.lang.String` | `AES`
`static java.lang.String` | `AVAILABLE_OPTIONS` The list of server's available security options.
`static java.lang.String` | `BLOWFISH`
`static java.lang.String` | `CHOSEN_OPTIONS` The client's chosen security options.
`static java.lang.String` | `CLIENT_EVIDENCE` The client's evidence: M1.
`static java.lang.String` | `CLIENT_PUBLIC_KEY` The client's public ephemeral exponent: A.
`static java.lang.String[]` | `CONFIDENTIALITY_ALGORITHMS` Available Cipher algorithms for confidentiality protection.
`static java.lang.String` | `CONFIG_NDX_FIELD` Name of the SHELL field in the plain password file.
`static boolean` | `DEFAULT_CONFIDENTIALITY` Default value for confidentiality protection security service.
`static boolean` | `DEFAULT_INTEGRITY` Default value for integrity protection security service.
`static java.lang.String` | `DEFAULT_MANDATORY` Default mandatory security service required.
`static java.lang.String` | `DEFAULT_PASSWORD_FILE` Default fully qualified pathname of the SRP password file.
`static boolean` | `DEFAULT_REPLAY_DETECTION` Default value for replay detection security service.
`static java.lang.String` | `FIELD_GENERATOR` The GF generator used: g.
`static java.lang.String` | `HMAC_MD5`
`static java.lang.String` | `HMAC_RIPEMD_160`
`static java.lang.String` | `HMAC_SHA1`
`static java.lang.String[]` | `INTEGRITY_ALGORITHMS` Available HMAC algorithms for integrity protection.
`static java.lang.String` | `MANDATORY_NONE` String for no mandatory security service.
`static java.lang.String` | `MD_NAME_FIELD` Name of the UID field in the plain password file.
`static int` | `MINIMUM_MODULUS_BITLENGTH` Minimum bitlength of the SRP public modulus.
`static java.lang.String` | `N_1024_BITS`
`static java.lang.String` | `N_1280_BITS`
`static java.lang.String` | `N_1536_BITS`
`static java.lang.String` | `N_2048_BITS` Indices of (N, g) parameter values for SRP (.conf) password database.
`static java.lang.String` | `N_512_BITS`
`static java.lang.String` | `N_640_BITS`
`static java.lang.String` | `N_768_BITS`
`static java.lang.String` | `OPTION_CONFIDENTIALITY` String for mandatory confidentiality protection.
`static java.lang.String` | `OPTION_INTEGRITY` String for mandatory integrity protection.
`static java.lang.String` | `OPTION_MANDATORY` String for mandatory replay detection.
`static java.lang.String` | `OPTION_MAX_BUFFER_SIZE` String for mandatory replay detection.
`static java.lang.String` | `OPTION_REPLAY_DETECTION` String for mandatory replay detection.
`static java.lang.String` | `OPTION_SRP_DIGEST` String for mda: the SRP digest algorithm name.
`static java.lang.String` | `PASSWORD_DB` Name of the SRP password database property --a reference to `PasswordFile` object.
`static java.lang.String` | `PASSWORD_FILE` Name of the main SRP password file pathname property.
`static java.lang.String` | `PASSWORD_VERIFIER` The user's password verifier.
`static java.lang.String` | `SALT_FIELD` Name of the GECOS field in the plain password file.
`static java.lang.String` | `SERVER_EVIDENCE` The server's evidence: M2.
`static java.lang.String` | `SERVER_PUBLIC_KEY` The server's public ephemeral exponent: B.
`static java.lang.String` | `SHARED_MODULUS` The public shared modulus: n.
`static java.lang.String[]` | `SRP_ALGORITHMS` Available hash algorithms for all SRP calculations.
`static java.lang.String` | `SRP_CONFIDENTIALITY` Name of SRP confidentiality protection property.
`static java.lang.String` | `SRP_DEFAULT_DIGEST_NAME` The name of the default message digest algorithm to use when no name is explicitely given.
`static java.lang.String` | `SRP_DIGEST_NAME` The property name of the message digest algorithm name to use in a given SRP incarnation.
`static java.lang.String` | `SRP_HASH` Name of underlying hash algorithm for use with all SRP calculations.
`static java.lang.String` | `SRP_INTEGRITY_PROTECTION` Name of SRP integrity protection property.
`static java.lang.String` | `SRP_MANDATORY` Name of SRP mandatory service property.
`static java.lang.String` | `SRP_REPLAY_DETECTION` Name of SRP replay detection property.
`static java.lang.String` | `USER_NAME` The client's username.
`static java.lang.String` | `USER_ROLE` The client's authorization ID.
`static java.lang.String` | `USER_SALT` The user's salt.
`static java.lang.String` | `USER_VERIFIER_FIELD` Name of the GID field in the plain password file.

Field Detail

### N_2048_BITS

    public static final java.lang.String N_2048_BITS

  Indices of (N, g) parameter values for SRP (.conf) password database.

  See Also:
    Constant Field Values

### N_1536_BITS

    public static final java.lang.String N_1536_BITS

See Also:
  Constant Field Values

### N_1280_BITS

    public static final java.lang.String N_1280_BITS

See Also:
  Constant Field Values

### N_1024_BITS

    public static final java.lang.String N_1024_BITS

See Also:
  Constant Field Values

### N_768_BITS

    public static final java.lang.String N_768_BITS

See Also:
  Constant Field Values

### N_640_BITS

    public static final java.lang.String N_640_BITS

See Also:
  Constant Field Values

### N_512_BITS

    public static final java.lang.String N_512_BITS

See Also:
  Constant Field Values

### SRP_ALGORITHMS

    public static final java.lang.String[] SRP_ALGORITHMS

  Available hash algorithms for all SRP calculations.

### SRP_DEFAULT_DIGEST_NAME

    public static final java.lang.String SRP_DEFAULT_DIGEST_NAME

  The name of the default message digest algorithm to use when no name is explicitely given. In this implementation it is the first among those supported; i.e. the algorithm at index position #0: SHA with 160-bit output.

### SRP_DIGEST_NAME

    public static final java.lang.String SRP_DIGEST_NAME

  The property name of the message digest algorithm name to use in a given SRP incarnation.

  See Also:
    Constant Field Values

### SHARED_MODULUS

    public static final java.lang.String SHARED_MODULUS

  The public shared modulus: n.

  See Also:
    Constant Field Values

### FIELD_GENERATOR

    public static final java.lang.String FIELD_GENERATOR

  The GF generator used: g.

  See Also:
    Constant Field Values

### AVAILABLE_OPTIONS

    public static final java.lang.String AVAILABLE_OPTIONS

  The list of server's available security options.

  See Also:
    Constant Field Values

### CHOSEN_OPTIONS

    public static final java.lang.String CHOSEN_OPTIONS

  The client's chosen security options.

  See Also:
    Constant Field Values

### USER_NAME

    public static final java.lang.String USER_NAME

  The client's username.

  See Also:
    Constant Field Values

### USER_ROLE

    public static final java.lang.String USER_ROLE

  The client's authorization ID.

  See Also:
    Constant Field Values

### USER_SALT

    public static final java.lang.String USER_SALT

  The user's salt.

  See Also:
    Constant Field Values

### PASSWORD_VERIFIER

    public static final java.lang.String PASSWORD_VERIFIER

  The user's password verifier.

  See Also:
    Constant Field Values

### CLIENT_PUBLIC_KEY

    public static final java.lang.String CLIENT_PUBLIC_KEY

  The client's public ephemeral exponent: A.

  See Also:
    Constant Field Values

### SERVER_PUBLIC_KEY

    public static final java.lang.String SERVER_PUBLIC_KEY

  The server's public ephemeral exponent: B.

  See Also:
    Constant Field Values

### CLIENT_EVIDENCE

    public static final java.lang.String CLIENT_EVIDENCE

  The client's evidence: M1.

  See Also:
    Constant Field Values

### SERVER_EVIDENCE

    public static final java.lang.String SERVER_EVIDENCE

  The server's evidence: M2.

  See Also:
    Constant Field Values

### SRP_HASH

    public static final java.lang.String SRP_HASH

  Name of underlying hash algorithm for use with all SRP calculations.

  See Also:
    Constant Field Values

### SRP_MANDATORY

    public static final java.lang.String SRP_MANDATORY

  Name of SRP mandatory service property.

  See Also:
    Constant Field Values

### SRP_REPLAY_DETECTION

    public static final java.lang.String SRP_REPLAY_DETECTION

  Name of SRP replay detection property.

  See Also:
    Constant Field Values

### SRP_INTEGRITY_PROTECTION

    public static final java.lang.String SRP_INTEGRITY_PROTECTION

  Name of SRP integrity protection property.

  See Also:
    Constant Field Values

### SRP_CONFIDENTIALITY

    public static final java.lang.String SRP_CONFIDENTIALITY

  Name of SRP confidentiality protection property.

  See Also:
    Constant Field Values

### PASSWORD_FILE

    public static final java.lang.String PASSWORD_FILE

  Name of the main SRP password file pathname property.

  See Also:
    Constant Field Values

### PASSWORD_DB

    public static final java.lang.String PASSWORD_DB

  Name of the SRP password database property --a reference to `PasswordFile` object.

  See Also:
    Constant Field Values

### DEFAULT_PASSWORD_FILE

    public static final java.lang.String DEFAULT_PASSWORD_FILE

  Default fully qualified pathname of the SRP password file.

  See Also:
    Constant Field Values

### DEFAULT_REPLAY_DETECTION

    public static final boolean DEFAULT_REPLAY_DETECTION

  Default value for replay detection security service.

  See Also:
    Constant Field Values

### DEFAULT_INTEGRITY

    public static final boolean DEFAULT_INTEGRITY

  Default value for integrity protection security service.

  See Also:
    Constant Field Values

### DEFAULT_CONFIDENTIALITY

    public static final boolean DEFAULT_CONFIDENTIALITY

  Default value for confidentiality protection security service.

  See Also:
    Constant Field Values

### HMAC_SHA1

    public static final java.lang.String HMAC_SHA1

See Also:
  Constant Field Values

### HMAC_MD5

    public static final java.lang.String HMAC_MD5

See Also:
  Constant Field Values

### HMAC_RIPEMD_160

    public static final java.lang.String HMAC_RIPEMD_160

See Also:
  Constant Field Values

### INTEGRITY_ALGORITHMS

    public static final java.lang.String[] INTEGRITY_ALGORITHMS

  Available HMAC algorithms for integrity protection.

### AES

    public static final java.lang.String AES

See Also:
  Constant Field Values

### BLOWFISH

    public static final java.lang.String BLOWFISH

See Also:
  Constant Field Values

### CONFIDENTIALITY_ALGORITHMS

    public static final java.lang.String[] CONFIDENTIALITY_ALGORITHMS

  Available Cipher algorithms for confidentiality protection.

### OPTION_MANDATORY

    public static final java.lang.String OPTION_MANDATORY

  String for mandatory replay detection.

  See Also:
    Constant Field Values

### OPTION_SRP_DIGEST

    public static final java.lang.String OPTION_SRP_DIGEST

  String for mda: the SRP digest algorithm name.

  See Also:
    Constant Field Values

### OPTION_REPLAY_DETECTION

    public static final java.lang.String OPTION_REPLAY_DETECTION

  String for mandatory replay detection.

  See Also:
    Constant Field Values

### OPTION_INTEGRITY

    public static final java.lang.String OPTION_INTEGRITY

  String for mandatory integrity protection.

  See Also:
    Constant Field Values

### OPTION_CONFIDENTIALITY

    public static final java.lang.String OPTION_CONFIDENTIALITY

  String for mandatory confidentiality protection.

  See Also:
    Constant Field Values

### OPTION_MAX_BUFFER_SIZE

    public static final java.lang.String OPTION_MAX_BUFFER_SIZE

  String for mandatory replay detection.

  See Also:
    Constant Field Values

### MANDATORY_NONE

    public static final java.lang.String MANDATORY_NONE

  String for no mandatory security service.

  See Also:
    Constant Field Values

### DEFAULT_MANDATORY

    public static final java.lang.String DEFAULT_MANDATORY

  Default mandatory security service required.

  See Also:
    Constant Field Values

### MD_NAME_FIELD

    public static final java.lang.String MD_NAME_FIELD

  Name of the UID field in the plain password file.

  See Also:
    Constant Field Values

### USER_VERIFIER_FIELD

    public static final java.lang.String USER_VERIFIER_FIELD

  Name of the GID field in the plain password file.

  See Also:
    Constant Field Values

### SALT_FIELD

    public static final java.lang.String SALT_FIELD

  Name of the GECOS field in the plain password file.

  See Also:
    Constant Field Values

### CONFIG_NDX_FIELD

    public static final java.lang.String CONFIG_NDX_FIELD

  Name of the SHELL field in the plain password file.

  See Also:
    Constant Field Values

### MINIMUM_MODULUS_BITLENGTH

    public static final int MINIMUM_MODULUS_BITLENGTH

  Minimum bitlength of the SRP public modulus.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.